## org.eclipse.emf.cdo.view
Interface CDOViewSet

All Superinterfaces:
  org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  InternalCDOViewSet

    public interface CDOViewSet

extends org.eclipse.emf.common.notify.Notifier

A `ResourceSet` adapter to associate a set of `CDOView` instances.

Note: A view set must have exactly one resource set associated. A resource set can have only one view set associated.

Since:
  2.0

Method Summary
`org.eclipse.emf.ecore.EPackage.Registry` `getPackageRegistry()`
`CDOResourceFactory` `getResourceFactory()`
`org.eclipse.emf.ecore.resource.ResourceSet` `getResourceSet()`
`CDOView[]` `getViews()`
`CDOView` `resolveView(java.lang.String repositoryUUID)`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### resolveView

    CDOView resolveView(java.lang.String repositoryUUID)

### getViews

    CDOView[] getViews()

### getResourceFactory

    CDOResourceFactory getResourceFactory()

### getPackageRegistry

    org.eclipse.emf.ecore.EPackage.Registry getPackageRegistry()

### getResourceSet

    org.eclipse.emf.ecore.resource.ResourceSet getResourceSet()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.